// pages/personCenter/commissionSetting/commissionSetting.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    items_1: [null, null, null],
    items: [null, null],
    showPopup: false,  // 控制弹窗显隐
    showCommissionRatePop: false,
  },
  // 显示弹窗
  showPopup() {
    this.setData({
      showPopup: true
    });
  },
  // 关闭弹窗
  closePopup() {
    this.setData({
      showPopup: false
    });
  },
  // 处理抽佣比例提交
  handleCommissionSubmit(e) {
    const { commissionRate } = e.detail;
    console.log(`设置的抽佣比例是：${commissionRate}%`);
    // 你可以在这里保存提交的数据，或者执行其他操作
    this.closePopup();  // 确认后关闭弹窗
  },
  // 点击“设价”按钮，显示弹窗
  showCommissionRatePop() {
    this.setData({ showCommissionRatePop: true });
  },

  // 关闭弹窗（包括遮罩点击和取消按钮）
  closeCommissionRatePop() {
    this.setData({ showCommissionRatePop: false });
  },

  // 确认按钮回调
  handleCommissionRateConfirm(e) {
    const { agentPrice, commissionRate, pricingMethod } = e.detail;
    console.log('设置数据:', agentPrice, commissionRate, pricingMethod);
    this.closeCommissionRatePop();
  },
  gotoSubCommission() {
    wx.navigateTo({
      url: '/pages/personCenter/subCommissionSetting/subCommissionSetting',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})